package com.example.aped.ui.all_IOs;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;

import com.example.aped.R;

public class AllIOsFragment extends Fragment {
    /**Azeige Modell.*/
    private AllIOsViewModel allIOsViewModel;
    public View onCreateView(final @NonNull LayoutInflater inflater,
                             final ViewGroup container,
                             final Bundle savedInstanceState) {
        allIOsViewModel =
                new ViewModelProvider(this).get(AllIOsViewModel.class);
        View root = inflater.inflate(R.layout.fragment_all_ios, container,
                                    false);
        final TextView textView = root.findViewById(R.id.text_all_IOs);
        allIOsViewModel.getText().observe(getViewLifecycleOwner(),
                                            new Observer<String>() {
            @Override
            public void onChanged(final @Nullable String s) {
                textView.setText(s);
            }
        });
        return root;
    }
}
